import { InteractionService } from "../server/services/InteractionService";
import { Board } from "./entities/Board";
import { PlayerInterface } from "./entities/player/PlayerInterface";
import { PlayerMove } from "./entities/PlayerMove";
import { Tile } from "./entities/Tile";

export interface PlayerInteractionInterface {
    player: PlayerInterface;
    interactionService: InteractionService;

    askForMove(board: Board): void;
    makeMove(board: Board): Promise<PlayerMove | null>;
    chooseTile(board: Board): Promise<Tile>
}