import { uuid } from "../../common/utilities";
import { PlayerMoveSideType } from "../constants";
import { PlayerMoveDto } from "../dto/PlayerDto";
import { Tile } from "./Tile";

export class PlayerMove {
  id: string = uuid();
  constructor(public tile: Tile, public type: PlayerMoveSideType | null, public playerId: string, public direction?: string) {}

  toString() {
    return `PlayerMove:([${this.tile.pips[0]}|${this.tile.pips[1]}] ${this.type})`;
  }

  getState(): PlayerMoveDto {
    return {
      id: this.id,
      tile: this.tile.getState(),
      type: this.type,
      playerId: this.playerId,
      direction: this.direction,
    };
  }
}