import { PlayerInteractionInterface } from "../../PlayerInteractionInterface";
import { Board } from "../Board";
import { PlayerMove } from "../PlayerMove";
import { Tile } from "../Tile";
import { PlayerDto } from "../../dto/PlayerDto";

export interface PlayerInterface {
  id: string;
  name: string;
  score: number;
  hand: Tile[];
  teamedWith?: string;
  team: number;
  playerInteraction: PlayerInteractionInterface;
  ready: boolean;
  
  askForMove(board: Board): void;
  makeMove(board: Board): Promise<PlayerMove | null>;
  chooseTile(board: Board): Promise<Tile>;
  pipsCount(): number;
  reset(): void;
  
  sendEvent(event: string, data: any): Promise<void>;
  sendEventWithAck(event: string, data: any): Promise<any>;

  getState(showPips?: boolean): PlayerDto;
}