import { MatchSession } from "../../game/MatchSession";
import { DbMatchSession } from "./interfaces";

export function matchSessionAdapter(session: MatchSession, showPips: boolean = false) : DbMatchSession {
    const state = session.getState(showPips);
    return {
        id: state.id,
        name: state.name || '',
        creator: state.creator,
        players: state.players,
        seed: state.seed,
        mode: state.mode,
        options: state.options,
        maxPlayers: state.maxPlayers,
        numPlayers: state.numPlayers,
        scoreboard: state.scoreboard,
        matchWinner: state.matchWinner,
        status: state.status,        
        matchInProgress: state.matchInProgress,
        gameSummaries: state.gameSummaries,
        room: state.room
    }

}