import { MatchSession } from "../../game/MatchSession";

import { ManagerBase } from "./ManagerBase";

export class SessionManager extends ManagerBase {
  private static sessions: Map<string, MatchSession> = new Map();

  constructor() {
    super();
    this.logger.info('SessionController created');
  }

  getSessionPlayer(sessionId: string, userId: string): any {
    const session: MatchSession | undefined = SessionManager.sessions.get(sessionId);
    if (session !== undefined) {
      return session.players.find(player => player.id === userId);
    }
  }

  updateSocketId(sessionId: string, userId: string, socketId: string): any {
    const player = this.getSessionPlayer(sessionId, userId);
    if (player !== undefined) {
      player.socketId = socketId;
    }
  }
  
  setSession(session: MatchSession) {
    SessionManager.sessions.set(session.id, session);
  }

  deleteSession(sessionId: string) {
    SessionManager.sessions.delete(sessionId);
  }

  getSession(id: string) {
    return SessionManager.sessions.get(id);
  }  
}