import crypto from 'crypto';

export class CryptoService {

  generateEmailRecoveryToken(): string {
    return this.generateToken(32);
  }

  generateRandomPin(length: number): string {
    const randomBytes = crypto.randomBytes(length);
    let pin = '';
  
    for (let i = 0; i < randomBytes.length; i++) {
      // Convert each byte to a number between 0-9
      pin += (randomBytes[i] % 10).toString();
    }
  
    return pin;
  }

  generateToken(length: number): string {
    return crypto.randomBytes(length).toString('hex');
  }

}